unset multiplot
reset
set encoding utf8

#POSTAVKE GRAFA: DIMENZIJE SLIKE, VELICINA FONTA, IME SLIKE
set term pngcairo background "#ffffff" font "Times-New-Roman,20pt" size 30.0cm,25.0cm fontscale 1.0 dl 2.0
set output 'gnuplot-skripta.png'

#STILOVI LINIJA; POZIV: ls BROJ
set style line  1 lt 1 lw 1 lc rgb "dark-blue"
set style line  2 lt 1 lw 1 lc rgb "blue"
set style line  3 lt 1 lw 1 lc rgb "skyblue"
set style line  4 lt 1 lw 1 lc rgb "cyan"
set style line  5 lt 1 lw 1 lc rgb "dark-green"
set style line  6 lt 1 lw 1 lc rgb "web-green"
set style line  7 lt 1 lw 1 lc rgb "green"
set style line  8 lt 1 lw 1 lc rgb "yellow-green"
set style line  9 lt 1 lw 1 lc rgb "orange"
set style line 10 lt 1 lw 1 lc rgb "red"
set style line 11 lt 1 lw 1 lc rgb "dark-red"
set style line 12 lt 1 lw 1 lc rgb "magenta"
set style line 13 lt 1 lw 2 dt '-' lc rgb "gray"
set style line 14 lt 1 lw 2 dt '.' lc rgb "black"

set samples 10000
set bmargin 0.
set lmargin 0.
set rmargin 0.
set tmargin 0.

#DEFINICIJA FUNKCIJE
A(x,b) = 1.0/sqrt((1.0 - x**2)**2 + b**2*x**2)

set multiplot
  set key top right #POSTAVLJA LEGENDU GORE DESNO
  set grid #KOORDINATNA MREZA
  set origin 0.12,0.15 #POMICANJE POCETKA GRAFA KAKO BI STALI OPISI KOORDINATNIH OSI
  set size 0.86,0.83 #VELICINA PODRUCJA U KOJEM ISCRTAVA GRAF (UDIO U 1.0 X 1.0)
    set xrange [0:3] #RASPON x-VRIJEDNOSTI
    #TEKST
    set xlabel "{/Times-New-Roman-Italic ω} / {/Times-New-Roman-Italic ω}_0"
    set ylabel "{/Times-New-Roman-Italic A} / α"
    set label "α = {/Times-New-Roman-Italic F}_0 / ({/Times-New-Roman-Italic m ω}@_0^2)" at graph 0.05, graph 0.95
    set label "β = {/Times-New-Roman-Italic b} / ({/Times-New-Roman-Italic m ω}_0)" at graph 0.05, graph 0.87
    #ZNAK \ NA KRAJU LINIJE OZNACAVA PRELAZAK NAREDBE U NOVI RED
    #CRTANJE VISE FUNKCIJA ODVOJENIH ZAREZOM
    plot A(x,0.1) w l ls  1 ti 'β = 0.1', \
         A(x,0.3) w l ls  3 ti 'β = 0.3', \
         A(x,0.5) w l ls  5 ti 'β = 0.5', \
         A(x,0.7) w l ls  7 ti 'β = 0.7', \
         A(x,1.0) w l ls 10 ti 'β = 1.0', \
         A(x,2.0) w l ls 13 ti 'β = 2.0', \
         A(x,3.0) w l ls 14 ti 'β = 3.0'

unset multiplot
unset output
reset
set terminal windows enhanced
